clearvars;
close all;
clc;


fnames = dir('C:\ORS_Activities\Workshop\Week2\data\S45\*.txt');

 
 
for k=1:length(fnames)
    k
  fname = fnames(k).name;

 
 
cd C:\ORS_Activities\Workshop\Week2\data\S45\
data=dlmread(fname);  



stres=analyze(data);

cd C:\ORS_Activities\Workshop\Week2\results

 SKL=sprintf('Results_%s.txt',fname(1:end-4));          
sda2=fopen(SKL,'w');
fprintf(sda2,'%f %f \n',stres);
status=fclose(sda2);

cd C:\ORS_Activities\Workshop\Week2\analysis

end



function [stres] = analyze(data)
%% write function to perform analysis on the window data here.
    %% Paramters used to perform sliding window
smpl_freq=256;
time=[0:1:length(data)-1]*(1/smpl_freq);

window_len = 240; %window length in seconds
stride = 60; %stride length in seconds

strt_idx = 1; %start index
end_idx = window_len*smpl_freq; %end index
Meano_p = [];
Varo_p = [];
j=1;
while((end_idx ) < length(data)) %iterate until end of the file
    T(j)=strt_idx;
    
    choped_data = data(strt_idx : end_idx, 1); %chopping data
    
    Meanchop_o_p = mean(choped_data);
    
    Meano_p = [Meano_p; Meanchop_o_p]; %accumulate the output
    
    Varchop_o_p = var(choped_data);
    Varo_p = [Varo_p; Varchop_o_p]; %accumulate the output
    
    strt_idx = strt_idx + stride*smpl_freq;
    end_idx = end_idx + stride*smpl_freq;
    
    j=j+1;
    
end


stres=[Meano_p'; Varo_p'];

    
    
    
end

