clc
close all
clear res*
tic
P1 =addpath('C:\Users\Personal-latitude\Documents\Pravitha_Tyler\util_mfiles');

inputdir='C:\Users\Personal-latitude\Documents\Pravitha_Tyler\Indic_workshop\SpO2_set3\';
T = readtable([inputdir 'participants.csv'],'headerlines',1);
T.Properties.VariableNames={'Participant', 'RecordName','Gender','Smoking','BMI','Age'};

S = dir(fullfile(inputdir,'*.txt'));S(end)=[];
for k = 1:numel(S)
    fnm = fullfile(inputdir,S(k).name);
    A = load(fnm);   

    row_no =strcmpi(S(k).name(1:7),table2array(T(:,2)));
m = mean(A);
stdev = std(A);

[se(:,k)]=sampenc(A,3,0.2*std(A));

[mse(:,k)]=msentropy(A,2,0.2,20);
auc220(k) = trapz(5:20,mse(5:20,k));

resSpO2(k,:)= [T(row_no,:) array2table([m stdev se(3,k) auc220(k)],'VariableNames',{'Mean', 'STDev', 'SmEn', 'AUC_MSE'})]

end
% save Results_SpO2_wk2 resSpO2 mse se
writetable(resSpO2,'Results_SpO2_wk2.xls') ;
csvwrite('MSE_allsubj_SpO2.csv',mse);
%% To load the .mat file and study the behavior of features

% to load the results table
resSpO2 = readtable('Results_SpO2_wk2.xls');


% To create groups based on age or smoking status etc
for k=1:numel(S)
    if   (strcmpi(string(resSpO2.Smoking(k)),'Non-Smoker')||strcmpi(string(resSpO2.Smoking(k)),"non Smoker"))   %resSpO2.Age(k)<35
        status(k)=0;
   % elseif resSpO2.Age(k)<25 
   %     status(k)=1;
    else
        status(k)=1;
    end

end

% Test if any of the features are able to discriminate between these groups
vals ={resSpO2.BMI resSpO2.Mean, resSpO2.STDev, resSpO2.SmEn, resSpO2.AUC_MSE};
for nn=1:numel(vals)
   vbl_1 =vals{nn}(status==0); vbl_2 =vals{nn}(status==1);
   [pSmk(nn), hSmk(nn)] = ranksum(vbl_1,vbl_2);   
       
end